package com.dkha.common.modules.vo.camera;

import com.dkha.common.modules.vo.face.FeatureVO;
import com.dkha.common.modules.vo.position.PositionVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @version V1.0
 * @Description: TODO(绑定轨迹中需要的人脸数据)
 * All rights 成都电科慧安
 * @Title: PeopleVO
 * @Package com.dkha.task.modual.vo.track
 * @author: panhui
 * @date: 2020/1/10 11:36
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class PeopleVO implements Serializable {
    private String esId;
    private String faceUrl;
    private String cameraId;
    private String bgUrl;
    private PositionVO position;
    private Long timestamp;
    private String time;
    private Double score;
    private FeatureVO featureVO;
    private String faceId;
}
