package com.dkha.common.modules.vo.search;

import com.dkha.common.page.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author Spring
 * @Since 2019/12/10 15:33
 * @Description 人脸库检索请求Vo
 */
@Data
public class SearchRequestVo {

    @ApiModelProperty(value = "人像库Id")
    private List<String> libIdList;

    @ApiModelProperty(value = "人脸图像请求集合")
    private List<String> faceImageRequestList;

    @ApiModelProperty(value = "人脸ID,分数集合,及其对应分数--由sdk返回")
    private Map<String, Double> faceApiResultMap;

    @ApiModelProperty(value = "姓名/身份证号码")
    private String search;

    @ApiModelProperty(value = "性别 0男 1女")
    private String sex;

    @ApiModelProperty(value = "阀值")
    private String minScore;

    @ApiModelProperty(value = "分页相关参数")
    private PageParam pageParam;

}
