package com.dkha.common.modules.vo.search;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author Spring
 * @Since 2019/12/10 16:12
 * @Description 库搜索返回结果集
 */
@Data
public class SearchResultVo {

    @ApiModelProperty(value = "人脸ID,分数集合,及其对应分数--由sdk返回")
    private Map<String, Double> faceApiResultMap = new HashMap<>();

    @ApiModelProperty(value = "人脸图像请求集合")
    private List<String> faceImageRequestList = new ArrayList<>();

    @ApiModelProperty(value = "人脸检索分页返回数据集合")
    private Page<SearchPortraitVo> resultPage;

    @ApiModelProperty(value = "请求对应search参数")
    private String requestSearch;

    @ApiModelProperty(value = "请求对应库Id集合")
    private List<String> requestLibIdList = new ArrayList<>();
}
