package com.dkha.common.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: TimeUtil
 * @Package com.dkha.common.util
 * @author: panhui
 * @date: 2019/12/10 15:09
 * @Copyright: 成都电科慧安
 */
public class TimeUtil {

    /**
     * 获取今天时间开始的时间
     *
     * @return
     */
    public  static Long toDayStart() {
        Date date=new Date();
        date.setHours(0);
        date.setMinutes(0);
        date.setSeconds(0);
        return date.getTime();
    }
    /**
     * 获取今天时间结束的时间
     *
     * @return
     */
    public static Long toDayStop()
    {
        Date date=new Date();
        date.setHours(23);
        date.setMinutes(59);
        date.setSeconds(59);
        return date.getTime();
    }

    /**
     * 获取传入时间的开始的时间
     *
     * @return
     */
    public  static Long toDateByTimeStart(String time) {
        Date date=exchangeDate(time);
        date.setHours(0);
        date.setMinutes(0);
        date.setSeconds(0);
        return date.getTime();
    }
    /**
     * 获取传入时间结束的时间
     *
     * @return
     */
    public static Long toDateByTimeStop(String time)
    {
        Date date=exchangeDate(time);
        date.setHours(23);
        date.setMinutes(59);
        date.setSeconds(59);
        return date.getTime();
    }

    /**
     * 将时间转换为时间戳
     * @param time
     * @return
     */
    public static Long exchangeTime(String time)
    {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;
        try {
            date = simpleDateFormat.parse(time);
        } catch (ParseException e) {
        }
        return date.getTime();
    }
    /**
     * 将时间转换为时间戳
     * @param time
     * @return
     */
    public static Date exchangeDate(String time)
    {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;
        try {
            date = simpleDateFormat.parse(time);
        } catch (ParseException e) {
        }
        return date;
    }
}
