package com.dkha.common.util;

import java.util.UUID;

/**
 * All rights 成都电科慧安
 *
 * @ClassName: UUIDBits
 * @program: dkha-cloud
 * @description:
 * @author: maming
 * @create: 2019/11/18 10:47
 **/

public class UUIDBits {

    public static String[] chars = new String[] { "a", "b", "c", "d", "e", "f",
            "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s",
            "t", "u", "v", "w", "x", "y", "z", "0", "1", "2", "3", "4", "5",
            "6", "7", "8", "9", "A", "B", "C", "D", "E", "F", "G", "H", "I",
            "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V",
            "W", "X", "Y", "Z" };

    /**
     * 生成6位UUID
     * @return 6位UUID
     */
    public static String getUUIDBits(Integer num) {
        StringBuffer shortBuffer = new StringBuffer();
        String uuid = UUID.randomUUID().toString().replace("-", "");
        for (int i = 0; i < num; i++) {
            String str = uuid.substring(i * 4, i * 4 + 4);
            int x = Integer.parseInt(str, 16);
            shortBuffer.append(chars[x % 0x3E]);
        }
        return shortBuffer.toString();
    }

    public static void main(String[] args) {
        System.out.println(getUUIDBits(6));
    }
}

