package com.dkha.face.modules;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @version V1.0
 * @Description: TODO(用于接收抓拍机返回的数据)
 * All rights 成都电科慧安
 * @Title: RecevieVO
 * @Package com.dkha.face.modules
 * @author: panhui
 * @date: 2019/12/25 11:30
 * @Copyright: 成都电科慧安
 */
@Data
@AllArgsConstructor
@NotNull
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RecevieVO {

    private String cmd;
    private Integer id;
    private Object body;
}
