package com.dkha.task.modual.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2020-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FaceTrackVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 图片url
	 */
	private String  url;
    /**
     * 人像id
     */
	private String  faceId;
    /**
     * 摄像头id
     */
	private Long idFaceCamera;
    /**
     * 库id
     */
	private String startTime;
    /**
     * 人物数据
     */
	private String endTime;
}