package com.dkha.common.modules.vo.warning;

import com.dkha.common.modules.vo.face.AlarmReturnVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: BayoneReturnListVO
 * @Package com.dkha.common.modules.vo.warning
 * @author: panhui
 * @date: 2020/1/6 16:55
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="卡口抓拍返回list数据", description="卡口抓拍返回list数据")
public class BayoneReturnListVO {
    @ApiModelProperty(value = "人脸信息")
    private List<AlarmReturnVO> result;

    @ApiModelProperty(value = "今日抓拍数量")
    private long toDaySnapShot;

    @ApiModelProperty(value = "累计抓拍")
    private long totalSnapShot;
}
