package com.dkha.server.services;


import com.dkha.common.modules.vo.facelib.CompareRequestVo;
import com.dkha.common.modules.vo.facelib.CompareResultVo;
import com.dkha.common.modules.vo.facelib.OneToOneResultVo;

/**
 * @Author Spring
 * @Since 2019/12/11 16:12
 * @Description 比对相关业务
 */
public interface ICompareService {

    /**
     * 分组比对接口
     * @param compareRequestVo
     * @return
     */
    CompareResultVo groupingCompare(CompareRequestVo compareRequestVo);

    /**
     * 一比一接口
     * @param compareRequestVo
     * @return
     */
    OneToOneResultVo oneToOne(CompareRequestVo compareRequestVo);

    /***
     * 图片上传 bease64
     * @param image
     * @return
     */
    String setFaceCompare(String image);
}
